All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.table
Class NavigationBar

    com.sas.table.NavigationBar

All Implemented Interfaces:
  ActionSource, CompositeInterface, ContainerInterface, com.sas.awt.print.PrintableInterface, VisualInterface, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.DesignTimeDropTargetInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, ValidatorInterface, com.sas.ViewInterface, MultipleValueEventSourceInterface, java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener

    public class NavigationBar

implements ActionSource, java.awt.event.ActionListener, MultipleValueEventSourceInterface

A selector for navigating through a table. Objects which implement `com.sas.table.TableNavigationInterface` can serve as the model for the `NavigationBar` (such as classes created with the DataWizard in webAF).

### Creation

> `NavigationBar navBar = new NavigationBar();
> navBar.initialize();`

### Orientation

The default orientation is `HORIZONTAL`.

### Actions

NavigationBar provides ways of determining when an action (ex. next, delete) is either about to occur or has already occurred. A validator is used to receive notification just before an action occurs and an action listener is used to receive notification just after an action occurs.

An `ActionEvent` will be fired after an event occurs with one of the action command identifiers as the action command (ex. `NavigationBar.NEXT`, `NavigationBar.DELETE`).

A `validator` can be set on the NavigationBar in order to perform some pre-processing for an action before that action occurs. The action command for the specific action will be passed in as the value argument to the validator. To use a validator for pre-processing `true` should always be returned from the validation method. However returning `false` from the validation method will stop the action from occurring (i.e. the model method will not be called).

For example, to perform some operation before the action is performed on the model, the validator's `validateValue` method may look like:

     public boolean validateValue(Object component, Object value)
     {
        if (component instanceof NavigationBar)
        {
           if (value == NavigationBar.FIRST)
              System.out.println("TableNavigationInterface.first() is about to be called!");
           else if (value == NavigationBar.LAST)
              System.out.println("TableNavigationInterface.last() is about to be called!");
        }
        return true;
     }

To disable an action based on some criteria the validator's `validateValue` method may look like:

     public boolean validateValue(Object component, Object value)
     {
        if (component instanceof NavigationBar)
        {
           if (value == NavigationBar.DELETE
              && customMethodToSeeIfDeleteIsEnabled() == false)
           {
              setValidationMessage(newValidationMessage("Delete is not enabled."));
              return false;
           }
        }
        return true;
     }

See Also:
  `TableNavigationInterface`, Serialized Form

Field Summary
`static java.lang.String` | `COMMIT` Action command for the commit button.
`static java.lang.String` | `DELETE` Action command for the delete button.
`static java.lang.String` | `FIRST` Action command for the first button.
`static int` | `HORIZONTAL` The horizontal orientation.
`static java.lang.String` | `INSERT` Action command for the insert button.
`static java.lang.String` | `LAST` Action command for the last button.
`static java.lang.String` | `NEXT` Action command for the next button.
`static java.lang.String` | `PREVIOUS` Action command for the previous button.
`static java.lang.String` | `RB_KEY`
`static int` | `VERTICAL` The vertical orientation.

Constructor Summary
`NavigationBar()` Constructs a NavigationBar object.
`NavigationBar(int orientation)` Constructs a NavigationBar object with the specified orientation.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent ae)` Handles action events on NavigationBar.
`void` | `addActionListener(java.awt.event.ActionListener listener)` Add a listener for the java.awt.ActionEvent event.
`void` | `attachModel(com.sas.ModelInterface mi)` Attaches the specified model.
`void` | `detachModel(com.sas.ModelInterface mi)` Detaches the specified model.
`protected java.lang.reflect.Method` | `findActionCommandMethod()`
`protected java.lang.reflect.Method` | `findActionPerformedMethod()`
`protected void` | `fireActionEvent(java.lang.String actionCommand)` Deprecated. Subclasses should override `processActionEvent` instead to modify behavior
`static int` | `getDefaultHeight()` Returns the default height in pixels.
`static int` | `getDefaultWidth()` Returns the default width in pixels.
`java.lang.reflect.Method` | `getEventMethod(java.lang.reflect.Method lMethod)` If this component supports the given event method, return the method that will give the source of the command
`java.lang.String[]` | `getEventValues(java.lang.reflect.Method lMethod)` If this component supports the given event method, return the list of supported action events
`static com.sas.beans.ExtendedBeanInfo` | `getExtendedBeanInfo()` Returns property information about the NavigationBar.
`int` | `getOrientation()` Returns the value of the orientation property.
`java.util.Vector` | `getRequiredInterfaces()` Returns the required interfaces Vector for this component.
`protected void` | `handleError(java.lang.String message, java.lang.String errorCode)`
`protected void` | `init()` Initializes transient values.
`boolean` | `isCommitButtonVisible()` Returns the value of the commitButtonVisible property.
`boolean` | `isCommitConfirmed()` Returns the value of the commitConfirmed property.
`boolean` | `isDeleteButtonVisible()` Returns the value of the deleteButtonVisible property.
`boolean` | `isDeleteConfirmed()` Returns the value of the deleteConfirmed property.
`boolean` | `isFirstButtonVisible()` Returns the value of the firstButtonVisible property.
`boolean` | `isInsertButtonVisible()` Returns the value of the insertButtonVisible property.
`boolean` | `isLastButtonVisible()` Returns the value of the lastButtonVisible property.
`boolean` | `isNextButtonVisible()` Returns the value of the nextButtonVisible property.
`boolean` | `isPreviousButtonVisible()` Returns the value of the previousButtonVisible property.
`protected void` | `onButtonPressed(java.lang.String button)` Handles a button being pressed.
`protected boolean` | `onCommit()` Handles the commit action.
`protected boolean` | `onDelete()` Handles the delete action.
`protected boolean` | `onFirst()` Handles the first action.
`protected boolean` | `onInsert()` Handles the insert action.
`protected boolean` | `onLast()` Handles the last action.
`protected boolean` | `onNext()` Handles the next action.
`protected boolean` | `onPrevious()` Handles the previous action.
`protected void` | `processActionEvent(java.awt.event.ActionEvent event)` Processes action events occurring on the NavigationBar by dispatching them to any registered listeners.
`protected void` | `processEvent(java.awt.AWTEvent event)` Processes events occurring on the NavigationBar.
`void` | `propertyChange(java.beans.PropertyChangeEvent pce)` Handles property change events on NavigationBar.
`void` | `refresh()` Directs NavigationBar to refresh itself from its model.
`void` | `refresh(com.sas.ModelInterface mi)` Directs NavigationBar to refresh itself from its model.
`void` | `removeActionListener(java.awt.event.ActionListener listener)` Remove a listener for the java.awt.ActionEvent event.
`void` | `setCommitButtonVisible(boolean newValue)` Sets the value of the commitButtonVisible property.
`void` | `setCommitConfirmed(boolean newValue)` Sets the value of the commitConfirmed property.
`void` | `setDefaultValues()` Sets the default non-transient values.
`void` | `setDeleteButtonVisible(boolean newValue)` Sets the value of the deleteButtonVisible property.
`void` | `setDeleteConfirmed(boolean newValue)` Sets the value of the deleteConfirmed property.
`void` | `setFirstButtonVisible(boolean newValue)` Sets the value of the firstButtonVisible property.
`void` | `setInsertButtonVisible(boolean newValue)` Sets the value of the insertButtonVisible property.
`void` | `setLastButtonVisible(boolean newValue)` Sets the value of the lastButtonVisible property.
`void` | `setNextButtonVisible(boolean newValue)` Sets the value of the nextButtonVisible property.
`void` | `setOrientation(int newValue)` Sets the value of the orientation property.
`void` | `setPreviousButtonVisible(boolean newValue)` Sets the value of the previousButtonVisible property.
`boolean` | `supportsListenerInterface(java.lang.Class listenerInterface)` Does this component support the given listener interface with mulitple events?

Methods inherited from class com.sas.visuals.CompositeContainer
`setDefaultHeight, setDefaultWidth`

Methods inherited from class com.sas.awt.ContainerContainerComponent
`addNotify, clone, dragEnter, dragLeave, dragOver, drop, getContainerInterfaceSupportInfo, getErrorHandler, getInsets, getValidator, isIDEDnDDropBarrier, isIDEDnDDropTarget, isValid, removeNotify, setContainerInterfaceSupportInfo, setErrorHandler, setIDEDnDDropBarrier, setIDEDnDDropTarget, setInsets, setInsets, setValidator, superAddNotify, superGetInsets, superRemoveNotify, superSetDefaultValues`

Methods inherited from class com.sas.awt.ContainerVisualComponent
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachView, computePreferredSize, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getBackgroundColor, getBorder, getComponentDescription, getComponentSupportInfo, getFont, getForegroundColor, getHeight, getHorizontalPosition, getLinkInfo, getMinimumSize, getModelInterface, getPageBounds, getPreferredSize, getPrePainter, getPrintOptionsPanel, getVerticalPosition, getViewInterfaceSupportInfo, getVisualInterfaceSupportInfo, getWidth, initialize, initializeComponent, isDesignTime, isEnabled, isFocus, isLinked, isTransparent, isVisible, pageExists, paint, print, printFinalize, printInitialize, queryLinks, queryLinks, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setBackgroundColor, setBorder, setBounds, setComponentDescription, setComponentSupportInfo, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setLinkInfo, setModelInterface, setPreferredSize, setPrePainter, setRequiredInterfaces, setTransparent, setVerticalPosition, setViewInterfaceSupportInfo, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate, supportsRequiredInterfaces, trapInterfaceEvents, update, validateObject`

Methods inherited from interface com.sas.awt.ContainerInterface
`getComponents, getLayout, invalidate, setLayout, validate`

Methods inherited from interface com.sas.awt.VisualInterface
`computePreferredSize, getBackgroundColor, getBorder, getFont, getForegroundColor, getHeight, getHorizontalPosition, getMinimumSize, getPreferredSize, getPrePainter, getVerticalPosition, getVisualInterfaceSupportInfo, getWidth, isEnabled, isFocus, isTransparent, isVisible, setBackgroundColor, setBorder, setBounds, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setPreferredSize, setPrePainter, setTransparent, setVerticalPosition, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### COMMIT

    public static final java.lang.String COMMIT

  Action command for the commit button.

  See Also:
    Constant Field Values

### DELETE

    public static final java.lang.String DELETE

  Action command for the delete button.

  See Also:
    Constant Field Values

### FIRST

    public static final java.lang.String FIRST

  Action command for the first button.

  See Also:
    Constant Field Values

### INSERT

    public static final java.lang.String INSERT

  Action command for the insert button.

  See Also:
    Constant Field Values

### LAST

    public static final java.lang.String LAST

  Action command for the last button.

  See Also:
    Constant Field Values

### NEXT

    public static final java.lang.String NEXT

  Action command for the next button.

  See Also:
    Constant Field Values

### PREVIOUS

    public static final java.lang.String PREVIOUS

  Action command for the previous button.

  See Also:
    Constant Field Values

### HORIZONTAL

    public static final int HORIZONTAL

  The horizontal orientation.

  See Also:
    Constant Field Values

### VERTICAL

    public static final int VERTICAL

  The vertical orientation.

  See Also:
    Constant Field Values

Constructor Detail

### NavigationBar

    public NavigationBar()

  Constructs a NavigationBar object.

### NavigationBar

    public NavigationBar(int orientation)

  Constructs a NavigationBar object with the specified orientation.

  Parameters:
    `orientation` - initial orientation of the NavigationBar

Method Detail

### getExtendedBeanInfo

    public static com.sas.beans.ExtendedBeanInfo getExtendedBeanInfo()

  Returns property information about the NavigationBar.

  Returns:
    an ExtendedBeanInfo object containing property information about the NavigationBar.

### getDefaultHeight

    public static int getDefaultHeight()

  Returns the default height in pixels.

  Returns:
    the default height in pixels

### getDefaultWidth

    public static int getDefaultWidth()

  Returns the default width in pixels.

  Returns:
    the default width in pixels

### addActionListener

    public void addActionListener(java.awt.event.ActionListener listener)

  Description copied from interface: `ActionSource`
  Add a listener for the java.awt.ActionEvent event.

  Specified by:
    `addActionListener` in interface `ActionSource`
  Parameters:
    `listener` - an object which handles ActionEvent events the listener is not added a second time if it already exists in the list of listeners for this event.
  See Also:
    `removeActionListener(java.awt.event.ActionListener)`, `ActionSource.addActionListener(java.awt.event.ActionListener)`

### setDefaultValues

    public void setDefaultValues()

  Sets the default non-transient values. This is a framework method and is not intended to be called by a user.

  Specified by:
    `setDefaultValues` in interface `ContainerInterface`
  Specified by:
    `setDefaultValues` in interface `VisualInterface`
  Specified by:
    `setDefaultValues` in interface `com.sas.ComponentInterface`
  Overrides:
    `setDefaultValues` in class `CompositeContainer`
  See Also:
    `ContainerInterface.setDefaultValues()`

### getOrientation

    public int getOrientation()

  Returns the value of the orientation property. The default orientation value is `HORIZONTAL`.

  Returns:
    value of the orientation property
  See Also:
    `setOrientation(int)`

### getRequiredInterfaces

    public java.util.Vector getRequiredInterfaces()

  Returns the required interfaces Vector for this component.

  Specified by:
    `getRequiredInterfaces` in interface `com.sas.ViewInterface`
  Overrides:
    `getRequiredInterfaces` in class `ContainerVisualComponent`
  Returns:
    the required interfaces Vector for this component.
  See Also:
    `ViewInterface.getRequiredInterfaces()`

### init

    protected void init()

  Initializes transient values.

### attachModel

    public void attachModel(com.sas.ModelInterface mi)

  Attaches the specified model.

  Specified by:
    `attachModel` in interface `com.sas.ViewInterface`
  Overrides:
    `attachModel` in class `ContainerVisualComponent`
  Parameters:
    `mi` - model to attach
  See Also:
    `detachModel(com.sas.ModelInterface)`

### detachModel

    public void detachModel(com.sas.ModelInterface mi)

  Detaches the specified model.

  Specified by:
    `detachModel` in interface `com.sas.ViewInterface`
  Overrides:
    `detachModel` in class `ContainerVisualComponent`
  Parameters:
    `mi` - the model to detach
  See Also:
    `attachModel(com.sas.ModelInterface)`

### fireActionEvent

    protected void fireActionEvent(java.lang.String actionCommand)

  Deprecated. Subclasses should override `processActionEvent` instead to modify behavior

  Fires action events. Action events occur whenever one of the buttons of the NavigationBar are clicked.

  Parameters:
    `actionCommand` - the actionCommand of the button that was clicked

### isCommitButtonVisible

    public boolean isCommitButtonVisible()

  Returns the value of the commitButtonVisible property. commitButtonVisible controls whether the commit button is visible or not.

  Returns:
    `true` if the commit button is visible, `false` otherwise.
  See Also:
    `setCommitButtonVisible(boolean)`

### isCommitConfirmed

    public boolean isCommitConfirmed()

  Returns the value of the commitConfirmed property. commitConfirmed controls whether a warning dialog is displayed if an action other than commit is initiated and the current row has been modified. true means that a warning dialog is displayed and false means that the changes are first committed before the action is performed. The default value is true.

  Returns:
    `true` to display a warning dialog, `false` to commit the changes first
  See Also:
    `setCommitConfirmed(boolean)`

### isDeleteButtonVisible

    public boolean isDeleteButtonVisible()

  Returns the value of the deleteButtonVisible property. deleteButtonVisible controls whether the delete button is visible or not.

  Returns:
    `true` if the delete button is visible, `false` otherwise.
  See Also:
    `setDeleteButtonVisible(boolean)`

### isDeleteConfirmed

    public boolean isDeleteConfirmed()

  Returns the value of the deleteConfirmed property. deleteConfirmed controls whether a warning dialog is displayed prior to performing a delete action. true means that a warning dialog is displayed and false means that the delete action is performed without warning. The default value is true.

  Returns:
    `true` to display a warning dialog, `false` to silently delete
  See Also:
    `setDeleteConfirmed(boolean)`

### isFirstButtonVisible

    public boolean isFirstButtonVisible()

  Returns the value of the firstButtonVisible property. firstButtonVisible controls whether the first button is visible or not.

  Returns:
    `true` if the first button is visible, `false` otherwise.
  See Also:
    `setFirstButtonVisible(boolean)`

### isInsertButtonVisible

    public boolean isInsertButtonVisible()

  Returns the value of the insertButtonVisible property. insertButtonVisible controls whether the insert button is visible or not.

  Returns:
    `true` if the insert button is visible, `false` otherwise.
  See Also:
    `setInsertButtonVisible(boolean)`

### isLastButtonVisible

    public boolean isLastButtonVisible()

  Returns the value of the lastButtonVisible property. lastButtonVisible controls whether the last button is visible or not.

  Returns:
    `true` if the last button is visible, `false` otherwise.
  See Also:
    `setLastButtonVisible(boolean)`

### isNextButtonVisible

    public boolean isNextButtonVisible()

  Returns the value of the nextButtonVisible property. nextButtonVisible controls whether the next button is visible or not.

  Returns:
    `true` if the next button is visible, `false` otherwise.
  See Also:
    `setNextButtonVisible(boolean)`

### isPreviousButtonVisible

    public boolean isPreviousButtonVisible()

  Returns the value of the previousButtonVisible property. previousButtonVisible controls whether the previous button is visible or not.

  Returns:
    `true` if the previous button is visible, `false` otherwise.
  See Also:
    `setPreviousButtonVisible(boolean)`

### refresh

    public void refresh()

  Directs NavigationBar to refresh itself from its model.

### refresh

    public void refresh(com.sas.ModelInterface mi)

  Directs NavigationBar to refresh itself from its model.

  Specified by:
    `refresh` in interface `com.sas.ViewInterface`
  Overrides:
    `refresh` in class `ContainerVisualComponent`
  Parameters:
    `mi` - model of NavigationBar
  See Also:
    `ViewInterface.refresh(com.sas.ModelInterface)`

### removeActionListener

    public void removeActionListener(java.awt.event.ActionListener listener)

  Description copied from interface: `ActionSource`
  Remove a listener for the java.awt.ActionEvent event. Nothing happens if the listener is not in the list of listeners for this event.

  Specified by:
    `removeActionListener` in interface `ActionSource`
  Parameters:
    `listener` - an object which handles ActionEvent events
  See Also:
    `addActionListener(java.awt.event.ActionListener)`, `ActionSource.removeActionListener(java.awt.event.ActionListener)`

### setCommitButtonVisible

    public void setCommitButtonVisible(boolean newValue)

  Sets the value of the commitButtonVisible property. commitButtonVisible controls whether the commit button is visible or not.

  Parameters:
    `newValue` - `true` if the commit button is to be visible, `false` otherwise.
  See Also:
    `isCommitButtonVisible()`

### setCommitConfirmed

    public void setCommitConfirmed(boolean newValue)

  Sets the value of the commitConfirmed property. commitConfirmed controls whether a warning dialog is displayed if an action other than commit is initiated and the current row has been modified. `true` means that a warning dialog is displayed and `false` means that the changes are first committed before the action is performed. The default value is `true`.

  Parameters:
    `newValue` - `true` to display a warning dialog, `false` to commit the changes first
  See Also:
    `isCommitConfirmed()`

### setDeleteButtonVisible

    public void setDeleteButtonVisible(boolean newValue)

  Sets the value of the deleteButtonVisible property. deleteButtonVisible controls whether the delete button is visible or not.

  Parameters:
    `newValue` - `true` if the delete button is to be visible, `false` otherwise.
  See Also:
    `isDeleteButtonVisible()`

### setDeleteConfirmed

    public void setDeleteConfirmed(boolean newValue)

  Sets the value of the deleteConfirmed property. deleteConfirmed controls whether a warning dialog is displayed prior to performing a delete action. `true` means that a warning dialog is displayed and `false` means that the delete action is performed without warning. The default value is `true`.

  Parameters:
    `newValue` - `true` to display a warning dialog, `false` to silently delete
  See Also:
    `isDeleteConfirmed()`

### setFirstButtonVisible

    public void setFirstButtonVisible(boolean newValue)

  Sets the value of the firstButtonVisible property. firstButtonVisible controls whether the first button is visible or not.

  Parameters:
    `newValue` - `true` if the first button is to be visible, `false` otherwise.
  See Also:
    `isFirstButtonVisible()`

### setInsertButtonVisible

    public void setInsertButtonVisible(boolean newValue)

  Sets the value of the insertButtonVisible property. insertButtonVisible controls whether the insert button is visible or not.

  Parameters:
    `newValue` - `true` if the insert button is to be visible, `false` otherwise.
  See Also:
    `isInsertButtonVisible()`

### setLastButtonVisible

    public void setLastButtonVisible(boolean newValue)

  Sets the value of the lastButtonVisible property. lastButtonVisible controls whether the last button is visible or not.

  Parameters:
    `newValue` - `true` if the last button is to be visible, `false` otherwise.
  See Also:
    `isLastButtonVisible()`

### setNextButtonVisible

    public void setNextButtonVisible(boolean newValue)

  Sets the value of the nextButtonVisible property. nextButtonVisible controls whether the next button is visible or not.

  Parameters:
    `newValue` - `true` if the next button is to be visible, `false` otherwise.
  See Also:
    `isNextButtonVisible()`

### setOrientation

    public void setOrientation(int newValue)

  Sets the value of the orientation property. The possible values are `HORIZONTAL` and `VERTICAL`. The default orientation value is `HORIZONTAL`.

  Parameters:
    `newValue` - new value of the orientation property
  See Also:
    `getOrientation()`

### setPreviousButtonVisible

    public void setPreviousButtonVisible(boolean newValue)

  Sets the value of the previousButtonVisible property. previousButtonVisible controls whether the previous button is visible or not.

  Parameters:
    `newValue` - `true` if the previous button is to be visible, `false` otherwise.
  See Also:
    `isPreviousButtonVisible()`

### handleError

    protected void handleError(java.lang.String message,
                               java.lang.String errorCode)

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

  Handles action events on NavigationBar.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Parameters:
    `ae` - the event to handle

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent pce)

  Handles property change events on NavigationBar.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Overrides:
    `propertyChange` in class `ContainerVisualComponent`
  Parameters:
    `pce` - the event to handle
  See Also:
    `PropertyChangeListener.propertyChange(java.beans.PropertyChangeEvent)`

### supportsListenerInterface

    public boolean supportsListenerInterface(java.lang.Class listenerInterface)

  Does this component support the given listener interface with mulitple events?

  Specified by:
    `supportsListenerInterface` in interface `MultipleValueEventSourceInterface`
  Overrides:
    `supportsListenerInterface` in class `ContainerVisualComponent`
  Parameters:
    `listenerInterface` - the class of the listenerInterface of the event sent out
  Returns:
    true if the implementing class supports the specified listenerInterface; false otherwise
  See Also:
    `MultipleValueEventSourceInterfaceSupport.supportsListenerInterface(java.lang.Object, java.lang.Class)`

### getEventMethod

    public java.lang.reflect.Method getEventMethod(java.lang.reflect.Method lMethod)

  If this component supports the given event method, return the method that will give the source of the command

  Specified by:
    `getEventMethod` in interface `MultipleValueEventSourceInterface`
  Overrides:
    `getEventMethod` in class `ContainerVisualComponent`
  Parameters:
    `lMethod` - the listenerInterface method the event is sent to.
  Returns:
    the method used to find the value of a specific event.
  See Also:
    `MultipleValueEventSourceInterfaceSupport.getEventMethod(java.lang.Object, java.lang.reflect.Method)`

### getEventValues

    public java.lang.String[] getEventValues(java.lang.reflect.Method lMethod)

  If this component supports the given event method, return the list of supported action events

  Specified by:
    `getEventValues` in interface `MultipleValueEventSourceInterface`
  Overrides:
    `getEventValues` in class `ContainerVisualComponent`
  Parameters:
    `lMethod` - the listenerInterface method the event is sent to.
  Returns:
    a string array of all the possible values the method returned by getEventMethod() can return.
  See Also:
    `MultipleValueEventSourceInterfaceSupport.getEventValues(java.lang.Object, java.lang.reflect.Method)`

### findActionPerformedMethod

    protected java.lang.reflect.Method findActionPerformedMethod()

### findActionCommandMethod

    protected java.lang.reflect.Method findActionCommandMethod()

### processEvent

    protected void processEvent(java.awt.AWTEvent event)

  Processes events occurring on the NavigationBar.

  Overrides:
    `processEvent` in class `java.awt.Container`
  Parameters:
    `event` - the event to process

### processActionEvent

    protected void processActionEvent(java.awt.event.ActionEvent event)

  Processes action events occurring on the NavigationBar by dispatching them to any registered listeners.

  Parameters:
    `event` - the event to process

### onButtonPressed

    protected void onButtonPressed(java.lang.String button)

  Handles a button being pressed. This method calls one of the on methods based on the specified button.

  Parameters:
    `button` - id for the button that was pressed

### onFirst

    protected boolean onFirst()

  Handles the first action. If a validator is set on the NavigationBar, validateValue is called as follows: `validator.validateValue(this, FIRST);`

  ``
  Returns:
    true if the first method was completed successfully on the model
  See Also:
    `ValidationInterface.validateValue(java.lang.Object, java.lang.Object)`

### onLast

    protected boolean onLast()

  Handles the last action. If a validator is set on the NavigationBar, validateValue is called as follows: `validator.validateValue(this, LAST);`

  ``
  Returns:
    true if the last method was completed successfully on the model
  See Also:
    `ValidationInterface.validateValue(java.lang.Object, java.lang.Object)`

### onPrevious

    protected boolean onPrevious()

  Handles the previous action. If a validator is set on the NavigationBar, validateValue is called as follows: `validator.validateValue(this, PREVIOUS);`

  ``
  Returns:
    true if the previous method was completed successfully on the model
  See Also:
    `ValidationInterface.validateValue(java.lang.Object, java.lang.Object)`

### onNext

    protected boolean onNext()

  Handles the next action. If a validator is set on the NavigationBar, validateValue is called as follows: `validator.validateValue(this, NEXT);`

  ``
  Returns:
    true if the next method was completed successfully on the model
  See Also:
    `ValidationInterface.validateValue(java.lang.Object, java.lang.Object)`

### onInsert

    protected boolean onInsert()

  Handles the insert action. If a validator is set on the NavigationBar, validateValue is called as follows: `validator.validateValue(this, INSERT);`

  ``
  Returns:
    true if the insert method was completed successfully on the model
  See Also:
    `ValidationInterface.validateValue(java.lang.Object, java.lang.Object)`

### onCommit

    protected boolean onCommit()

  Handles the commit action. If a validator is set on the NavigationBar, validateValue is called as follows: `validator.validateValue(this, COMMIT);`

  ``
  Returns:
    true if the commit method was completed successfully on the model
  See Also:
    `ValidationInterface.validateValue(java.lang.Object, java.lang.Object)`

### onDelete

    protected boolean onDelete()

  Handles the delete action. If a validator is set on the NavigationBar, validateValue is called as follows: `validator.validateValue(this, DELETE);`

  ``
  Returns:
    true if the delete method was completed successfully on the model
  See Also:
    `ValidationInterface.validateValue(java.lang.Object, java.lang.Object)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.